Package org.codehaus.janino.util

# Interface ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T>

Type Parameters:
  `T` - The return type of `ClassFile.StackMapTableAttribute.StackMapFrame.accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor)`

Enclosing class:
  `ClassFile.StackMapTableAttribute`

public static interface ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T>

See Also:
  - `ClassFile.StackMapTableAttribute.StackMapFrame.accept(ClassFile.StackMapTableAttribute.StackMapFrameVisitor)`

## Method Summary

Modifier and Type
Method
Description
`T`
`visitAppendFrame(ClassFile.StackMapTableAttribute.AppendFrame af)`
`T`
`visitChopFrame(ClassFile.StackMapTableAttribute.ChopFrame cf)`
`T`
`visitFullFrame(ClassFile.StackMapTableAttribute.FullFrame ff)`
`T`
`visitSameFrame(ClassFile.StackMapTableAttribute.SameFrame sf)`
`T`
`visitSameFrameExtended(ClassFile.StackMapTableAttribute.SameFrameExtended sfe)`
`T`
`visitSameLocals1StackItemFrame(ClassFile.StackMapTableAttribute.SameLocals1StackItemFrame sl1sif)`
`T`
`visitSameLocals1StackItemFrameExtended(ClassFile.StackMapTableAttribute.SameLocals1StackItemFrameExtended sl1sife)`

## Method Details

### visitSameFrame

T visitSameFrame(ClassFile.StackMapTableAttribute.SameFrame sf)

### visitSameLocals1StackItemFrame

T visitSameLocals1StackItemFrame(ClassFile.StackMapTableAttribute.SameLocals1StackItemFrame sl1sif)

### visitSameLocals1StackItemFrameExtended

T visitSameLocals1StackItemFrameExtended(ClassFile.StackMapTableAttribute.SameLocals1StackItemFrameExtended sl1sife)

### visitChopFrame

T visitChopFrame(ClassFile.StackMapTableAttribute.ChopFrame cf)

### visitSameFrameExtended

T visitSameFrameExtended(ClassFile.StackMapTableAttribute.SameFrameExtended sfe)

### visitAppendFrame

T visitAppendFrame(ClassFile.StackMapTableAttribute.AppendFrame af)

### visitFullFrame

T visitFullFrame(ClassFile.StackMapTableAttribute.FullFrame ff)